## lava-server 2016.3

=== debian/changelog ===
lava-server (2016.3-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 15 Mar 2016 10:25:31 +0000

lava-server (2016.3-3) unstable; urgency=medium

  * Add pep8 | python-pep8 dependency for lava-dev

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 08 Mar 2016 16:16:47 +0530

lava-server (2016.3-2) unstable; urgency=medium

  * Add missing support file for autopkgtest

 -- Neil Williams <codehelp@debian.org>  Tue, 08 Mar 2016 08:54:17 +0700

lava-server (2016.3-1) unstable; urgency=medium

  [ Senthil Kumaran S (stylesen) ]
  * Building lava-tool depends on python-mock (lava-dev)

  [ Neil Williams ]
  * New production release.
  * Add support for pipeline healthchecks.
  * Fix management commands to work with django >= 1.7.x
  * Add support for Debian SSO client certs.
  * Split documentation for LAVA V1 and LAVA pipeline V2

 -- Neil Williams <codehelp@debian.org>  Fri, 04 Mar 2016 15:01:28 +0000

lava-server (2016.2-3) unstable; urgency=medium

  * Add back uwsgi conffiles and setting.conf.

 -- Neil Williams <codehelp@debian.org>  Sat, 13 Feb 2016 13:42:12 +0000

lava-server (2016.2-2) unstable; urgency=medium

  * Fix testsuite parameters for autopkgtest
  * Fix missing apache2 config in sites-available

 -- Neil Williams <codehelp@debian.org>  Sat, 13 Feb 2016 12:35:41 +0000
