=== debian/tests/control ===
Tests: testsuite
Depends: lava-server, django-testscenarios, python-tz, tftpd-hpa
Restrictions: allow-stderr
