=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
 Testsuite: autopkgtest
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.linaro.org/projects/test-validation/
 Vcs-Git: https://github.com/Linaro/pkg-lava-server.git
 Vcs-Browser: https://github.com/Linaro/pkg-lava-server
@@ -32,7 +32,7 @@
  libjs-jquery, libjs-jquery-ui, python-django (>= 1.7),
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2016.4),
+ lava-dispatcher (>= 2016.6),
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
 Suggests: python-django-hijack, python-django-auth-openid,
@@ -59,9 +59,9 @@
 Section: metapackages
 Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
  lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
- tftpd-hpa, openssh-client, schroot, lxc, bridge-utils, ${misc:Depends}
+ tftpd-hpa, openssh-client, schroot, lxc, rsync, bridge-utils, ${misc:Depends}
 Recommends: lavapdu-daemon
-Suggests: vmdebootstrap, android-tools-adb, android-tools-fastboot
+Suggests: vmdebootstrap
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -81,12 +81,12 @@
  debhelper (>= 8.0.0), fakeroot, git, libdistro-info-perl,
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
- django-testscenarios, android-tools-adb, android-tools-fastboot,
  python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
- python-mocker, python-setuptools, python-versiontools, python-yaml,
- docbook-xsl, xsltproc, python-mock,
- ${misc:Depends}
+ python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
+ python-mocker, python-nose, python-netifaces, python-setuptools,
+ python-versiontools, python-zmq, python-yaml, python-voluptuous,
+ docbook-xsl, xsltproc, python-mock,  django-testscenarios,
+ ${python:Depends}, ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
