=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
- python-mocker, python-setuptools (>= 3), python-yaml
+ python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-sphinx-bootstrap-theme,
+ po-debconf, python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
 Testsuite: autopkgtest
 Standards-Version: 3.9.8
@@ -23,20 +23,20 @@
 Architecture: all
 Provides: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Conflicts: lava-scheduler, lava-dashboard, linaro-django-xmlrpc,
- python-django-hijack (<= 1.0.10-1), python-django (<< 1.7)
+ python-django-hijack (<= 1.0.10-1), python-django (<< 1.8),
+ python-django-auth-openid
 Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
 Depends: apache2, adduser, diffstat, fuse, iproute2,
- libapache2-mod-uwsgi, libapache2-mod-wsgi, lshw, python-tz,
+ libapache2-mod-uwsgi, libapache2-mod-wsgi, python-tz,
  python-daemon, python-dateutil, python-django-auth-ldap,
  python-setuptools, libjs-excanvas, libjs-jquery-cookie,
- libjs-jquery, libjs-jquery-ui, python-django (>= 1.7),
+ libjs-jquery, libjs-jquery-ui, python-django (>= 1.8),
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2016.6),
+ lava-dispatcher (>= 2016.8),
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
-Suggests: python-django-hijack, python-django-auth-openid,
- python-django-debug-toolbar
+Suggests: python-django-hijack, python-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -84,6 +84,7 @@
  python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
  python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-nose, python-netifaces, python-setuptools,
+ python-sphinx-bootstrap-theme,
  python-versiontools, python-zmq, python-yaml, python-voluptuous,
  docbook-xsl, xsltproc, python-mock,  django-testscenarios,
  ${python:Depends}, ${misc:Depends}
