=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
  libjs-jquery, libjs-jquery-ui, python-django (>= 1.8),
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2016.8),
+ lava-dispatcher (>= 2016.9),
  ${python:Depends}, ${misc:Depends}
 Recommends: ntp, lava-coordinator, lava-server-doc
 Suggests: python-django-hijack, python-django-debug-toolbar
@@ -85,7 +85,7 @@
  python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-nose, python-netifaces, python-setuptools,
  python-sphinx-bootstrap-theme,
- python-versiontools, python-zmq, python-yaml, python-voluptuous,
+ python-zmq, python-yaml, python-voluptuous,
  docbook-xsl, xsltproc, python-mock,  django-testscenarios,
  ${python:Depends}, ${misc:Depends}
 Recommends: sbuild, python-django-extensions, python-pydot
