=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
+# only python2.7 supported currently
+PYTHONDIR=/usr/lib/python2.7/dist-packages/
+
 PYTHON2:=$(shell pyversions -r)
 install_dir=$(call py_libdir, $(PYTHON2))
 
@@ -42,17 +45,21 @@
 	dh_auto_install
 	python setup.py install --root=$(CURDIR)/debian/lava-server/ --install-layout=deb
 	# dispatcher-master zeromq support, lava-server.init handled by auto_install.
-	[ ! -f etc/lava-master.init ] || dh_installinit --name lava-master
+	dh_installinit --name lava-master
 	dh_installman -plava-server man/_build/man/lava-server.1
 	dh_installman -plava-server man/_build/man/lava-daemon.1
-	[ ! -f man/_build/man/lava-master.1 ] || dh_installman -plava-server man/_build/man/lava-master.1
+	dh_installman -plava-server man/_build/man/lava-master.1
+	[ -f debian/lava-server/usr/bin/lava-server ] || cp debian/lava-server/$(PYTHONDIR)/lava_server/manage.py debian/lava-server/usr/bin/lava-server; chmod a+x debian/lava-server/usr/bin/lava-server
 	# move ssfs script to /usr/sbin
 	mkdir debian/lava-server/usr/sbin/
 	mv debian/lava-server/usr/bin/lava-mount-masterfs debian/lava-server/usr/sbin/
 	# skip unwanted licence file specified in copyright
-	$(RM) debian/lava-server/usr/lib/python2.7/dist-packages/google_analytics/LICENSE
+	$(RM) debian/lava-server/$(PYTHONDIR)/google_analytics/LICENSE
 	# handle embedded JS
 	python ./share/javascript.py -f ./share/javascript.yaml --remove
+
+override_dh_compress:
+	dh_compress -X.yaml
 
 override_dh_auto_clean:
 	dh_auto_clean
