=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui,
  python | python-all | python-dev | python-all-dev,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, python-sphinx-bootstrap-theme,
+ python-sphinx (>= 1.4), python-sphinx-bootstrap-theme,
  po-debconf, python-mocker, python-setuptools (>= 3), python-yaml
 X-Python-Version: 2.7
 Testsuite: autopkgtest
@@ -26,16 +26,15 @@
  python-django-hijack (<= 1.0.10-1), python-django (<< 1.8),
  python-django-auth-openid
 Replaces: lava-scheduler, lava-dashboard, linaro-django-xmlrpc
-Depends: apache2, adduser, diffstat, fuse, iproute2,
- libapache2-mod-uwsgi, libapache2-mod-wsgi, python-tz,
- python-daemon, python-dateutil, python-django-auth-ldap,
- python-setuptools, libjs-excanvas, libjs-jquery-cookie,
- libjs-jquery, libjs-jquery-ui, python-django (>= 1.8),
+Depends: apache2, adduser, gunicorn, iproute2, lsb-base (>= 4),
+ python-tz, python-daemon, python-dateutil,
+ python-django (>= 1.8), python-django-auth-ldap, python-setuptools,
+ libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common,
- lava-dispatcher (>= 2016.9),
+ lava-dispatcher (>= 2016.11),
  ${python:Depends}, ${misc:Depends}
-Recommends: ntp, lava-coordinator, lava-server-doc
+Recommends: fuse, ntp, lava-coordinator, lava-server-doc
 Suggests: python-django-hijack, python-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
@@ -58,9 +57,9 @@
 Architecture: all
 Section: metapackages
 Depends: lava-server, lava-server-doc, lava-dispatcher, lava-coordinator,
- lava-dev, lava-tool, lavapdu-client, linaro-image-tools, ntp | ntpdate,
- tftpd-hpa, openssh-client, schroot, lxc, rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon
+ lava-dev, lava-tool, lavapdu-client, ntp | ntpdate, tftpd-hpa,
+ openssh-client, schroot, lxc, rsync, bridge-utils, ${misc:Depends}
+Recommends: lavapdu-daemon, linaro-image-tools
 Suggests: vmdebootstrap
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
@@ -84,11 +83,11 @@
  python | python-all | python-dev | python-all-dev, pep8 | python-pep8,
  python-guestfs, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, po-debconf,
  python-mocker, python-nose, python-netifaces, python-setuptools,
- python-sphinx-bootstrap-theme,
- python-zmq, python-yaml, python-voluptuous,
- docbook-xsl, xsltproc, python-mock,  django-testscenarios,
+ python-sphinx-bootstrap-theme, python-zmq, python-yaml, python-voluptuous,
+ docbook-xsl, xsltproc, python-mock,
  ${python:Depends}, ${misc:Depends}
-Recommends: sbuild, python-django-extensions, python-pydot
+Recommends: sbuild, python-django-extensions, python-pydot,
+ django-testscenarios
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
